com.ihr.xbrl.om.formula.functions.reusable

## Class RC_XFI_concept_relationships_drs

- java.lang.Object
- - com.ihr.xbrl.om.formula.functions.reusable.RC_XFI_concept_relationshipsBase
  - - com.ihr.xbrl.om.formula.functions.reusable.RC_XFI_concept_relationships_drs

-     public class RC_XFI_concept_relationships_drs
      extends RC_XFI_concept_relationshipsBase

  Reusable code for the XFI_Concept_Relationships function.
  Author:
    Ignacio

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RC_XFI_concept_relationships_drs.Axis` The Enum Axis.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RC_XFI_concept_relationships_drs()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `collectRelationships(java.util.ArrayList<XBRLRelationship> relationships, RC_XFI_concept_relationships_drs.Axis axis, XMLElementDefinition concept, java.util.Vector<XBRLRoleType> vRoles, int generations)` Collect relationships.
    `static RC_XFI_concept_relationships_drs.Axis` | `simplifyAxis(RC_XFI_concept_relationships_drs.Axis axis, int generations, XMLElementDefinition concept)` Simplify axis.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RC_XFI_concept_relationships_drs

          public RC_XFI_concept_relationships_drs()

  - ### Method Detail

    - #### simplifyAxis

          public static RC_XFI_concept_relationships_drs.Axis simplifyAxis(RC_XFI_concept_relationships_drs.Axis axis,
                                                           int generations,
                                                           XMLElementDefinition concept)

      Simplify axis.
      Parameters:
        `axis` - the axis
        `generations` - the generations
        `concept` - the concept
      Returns:
        the axis

    - #### collectRelationships

          public static void collectRelationships(java.util.ArrayList<XBRLRelationship> relationships,
                                  RC_XFI_concept_relationships_drs.Axis axis,
                                  XMLElementDefinition concept,
                                  java.util.Vector<XBRLRoleType> vRoles,
                                  int generations)
                                           throws net.sf.saxon.trans.XPathException

      Collect relationships.
      Parameters:
        `relationships` - the relationships
        `axis` - the axis
        `concept` - the concept
        `vRoles` - the v roles
        `generations` - the generations
      Throws:
        `net.sf.saxon.trans.XPathException` - the x path exception